with Scream.Markup;
package Scream.Output is
	
	type Format is abstract tagged limited null record;
	
	function Output_Path (
		Object : in Format;
		Path : in String)
		return String is abstract;
	
	procedure Output (
		Object : in Format;
		Path : in String;
		Page : in Markup.Page;
		Navigate : not null access procedure (
			Process : not null access procedure (Path : in String));
		Query : not null access procedure (
			Path : in String;
			Process : not null access procedure (Page : in Markup.Page));
		Output : not null access procedure (Item : in String)) is abstract;
	
end Scream.Output;
